Element: <requires>

Syntax

        <!ELEMENT requires       (name, version*)>

This element occurs in : Element: <packageinfo>

See also : Element: <name> | Element: <version>

Description

The requires element denotes a dependency between two packages. The package containing the requires element depends on the package whose name is contained in the name child-element.

The actual name is put into a name child-element.

[Note] Note

To work properly, the package identified in the name child-element must be defined in either the same profile as the requires element, or in an additional profile (if the ALFS implementation you are using supports loading multiple profiles).

The version element can be used to specify the allowable version(s) of the required package.

Examples

Refer to Element: <packageinfo> for an example.